Name:           ocaml-gen
Version:        0.5.1
Release:        6%{?dist}
Summary:        Simple, efficient iterators for OCaml

License:        BSD
URL:            https://github.com/c-cube/gen
Source0:        https://github.com/c-cube/gen/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  jbuilder
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-findlib
BuildRequires:  opam-installer

%description
Iterators for OCaml, both restartable and consumable.
The implementation keeps a good balance between simplicity and performance.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q -n gen-%{version}


%build
jbuilder build @install


%install
mkdir -p %{buildroot}%{_libdir}/ocaml
jbuilder install --destdir=%{buildroot} --libdir=%{buildroot}%{_libdir}/ocaml

# These files will be installed using doc and license directives.
rm -r %{buildroot}/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
jbuilder runtest --no-buffer


%files
%doc README.md CHANGELOG.md
%license LICENSE
%{_libdir}/ocaml/gen
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/gen/*.a
%exclude %{_libdir}/ocaml/gen/*.cmxa
%exclude %{_libdir}/ocaml/gen/*.cmx
%endif
%exclude %{_libdir}/ocaml/gen/*.ml
%exclude %{_libdir}/ocaml/gen/*.mli


%files devel
%doc README.md CHANGELOG.md
%license LICENSE
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/gen/*.a
%{_libdir}/ocaml/gen/*.cmxa
%{_libdir}/ocaml/gen/*.cmx
%endif
%{_libdir}/ocaml/gen/*.ml
%{_libdir}/ocaml/gen/*.mli


%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jul 11 2018 Richard W.M. Jones <rjones@redhat.com> - 0.5.1-4
- OCaml 4.07.0 (final) rebuild.

* Wed Jun 20 2018 Richard W.M. Jones <rjones@redhat.com> - 0.5.1-3
- OCaml 4.07.0-rc1 rebuild.

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Feb 05 2018 Andy Li <andy@onthewings.net> - 0.5.1-1
- New upstream version 0.5.1. (RHBZ#1541679)
- Enable debug package.

* Sat Dec 02 2017 Richard W.M. Jones <rjones@redhat.com> - 0.5-2
- OCaml 4.06.0 rebuild.

* Fri Nov 17 2017 Andy Li <andy@onthewings.net> - 0.5-1
- New upstream version 0.5.

* Fri Jul 07 2017 Andy Li <andy@onthewings.net> - 0.4.0.1-1
- Initial RPM release.
